ru.bitel.bgbilling.modules.vseplatezhi.common.service

## Interface VseplatezhiService

-     public interface VseplatezhiService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkTransaction(int transactiontId)` Запросить у сервера платежного сервиса информацию о транзакции
    `SearchResult<Transaction>` | `searchTransactionList(int contractId, java.lang.String contractTitle, java.lang.String status, Period period, java.lang.String[] sort, Page page)` Получение списка транзакций с возможностью фильтрации по договору, статусу, периоду.

- - ### Method Detail

    - #### searchTransactionList

          SearchResult<Transaction> searchTransactionList(int contractId,
                                                          java.lang.String contractTitle,
                                                          java.lang.String status,
                                                          Period period,
                                                          java.lang.String[] sort,
                                                          Page page)
                                                   throws ru.bitel.bgbilling.common.BGException

      Получение списка транзакций с возможностью фильтрации по договору, статусу, периоду.
      Parameters:
        `contractId` -
        `contractTitle` - название договора
        `status` - числовой код статуса
        `period` - период фильтрации транзакций.
        `sort` -
        `page` -
      Returns:
        список транзакций.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### checkTransaction

          void checkTransaction(int transactiontId)
                         throws ru.bitel.bgbilling.common.BGException

      Запросить у сервера платежного сервиса информацию о транзакции
      Parameters:
        `transactiontId` - код транзакции
      Throws:
        `ru.bitel.bgbilling.common.BGException`